Skip to main content
GET
/
v1
/
issuing
/
cards
/
{id}
/
order
Retrieve Card Order
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/cards/{id}/order \
  --header 'x-auth-token: <api-key>'
{
  "card_id": "c0cef051-29c5-4796-b86a-cd5b684bfad7",
  "card_order_id": "c0cef051-29c5-4796-b86a-cd5ee34bfad7",
  "order_type": "CREATE_CARD",
  "amount": 100.02,
  "card_currency": "USD",
  "create_time": "2024-03-21T17:17:32+08:00",
  "update_time": "2024-03-21T17:17:32+08:00",
  "complete_time": "2024-03-21T17:17:32+08:00",
  "order_status": "PENDING"
}

Documentation Index

Fetch the complete documentation index at: https://developers-sandbox.uqpaytech.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts endpoint. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"71fdb0fe-9682-457a-9361-e8868694f12f"

Response

200 - application/json

OK - Successfully retrieved an order.

card_id
string
required

Unique identifier for the card.

Example:

"c0cef051-29c5-4796-b86a-cd5b684bfad7"

card_order_id
string
required

ID of the card order.

Example:

"c0cef051-29c5-4796-b86a-cd5ee34bfad7"

order_type
enum<string>
required

The order type.

Available options:
CARD_CREATE,
CARD_RECHARGE,
CARD_WITHDRAW,
CARD_UPDATE
Example:

"CREATE_CARD"

amount
number
required

Recharge or withdraw amount for this card.

Required range: x > 0
Example:

100.02

card_currency
enum<string>
required

The card currency.

Available options:
SGD,
USD,
XUSD
Example:

"USD"

create_time
string
required

Create time at which the object was created.

Example:

"2024-03-21T17:17:32+08:00"

update_time
string
required

Updated time at which the object was created.

Example:

"2024-03-21T17:17:32+08:00"

complete_time
string
required

Completed time at which the object was created.

Example:

"2024-03-21T17:17:32+08:00"

order_status
enum<string>
required

This field will contain the status of the request after processing.

  • PENDING -The initial status of the order request.
  • PROCESSING - If this status shall be subject to webhooks notification.
  • SUCCESS - The final status of the order request is successful.
  • FAILED - The final status of the order request is failed.
Available options:
PENDING,
PROCESSING,
SUCCESS,
FAILED